=== debian/changelog ===
j4-dmenu-desktop (2.13-1) unstable; urgency=medium

  * New upstream release

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 22 Jun 2015 16:42:11 +0200

j4-dmenu-desktop (2.12-1) unstable; urgency=low

  * Initial release (Closes: #780839)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sat, 18 Mar 2015 16:49:22 +0100
