=== debian/control ===
Source: j4-dmenu-desktop
Section: x11
Priority: optional
Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Build-Depends: debhelper (>= 9), cmake, catch
Standards-Version: 3.9.6
Homepage: https://github.com/enkore/j4-dmenu-desktop
Vcs-Git: git://anonscm.debian.org/collab-maint/j4-dmenu-desktop.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git

Package: j4-dmenu-desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: faster replacement for i3-dmenu-desktop
 j4-dmenu-desktop is a replacement for i3-dmenu-desktop. It's purpose 
 is to find .desktop files and offer you a menu to start an application 
 using dmenu. 
 .
 It is much faster than the default i3-dmenu-desktop method to obtain a list 
 of programs parsed from .desktop files.
