=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
		dh_auto_configure -- \
			-DCMAKE_INSTALL_PREFIX=/usr
