=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/r(.+)\.tar\.gz/releases\/download\/r$1\/r$1.tar.gz.sig/ \
https://github.com/enkore/j4-dmenu-desktop/releases .*/r(.+)\.tar\.gz
