## j4-dmenu-desktop 2.14

=== debian/changelog ===
j4-dmenu-desktop (2.14-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Thu, 11 Aug 2016 20:55:44 -0500

j4-dmenu-desktop (2.14-1) unstable; urgency=medium

  * New upstream release
  * d/control: Updated Stadnards-Version to 3.9.7
  * d/control: Updated Vcs-* links to https

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 04 Apr 2016 07:45:52 +0200
