=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: j4-dmenu-desktop
 Section: x11
 Priority: optional
-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Bugs: mailto: <maintainer@mepiscommunity.org>
 Build-Depends: debhelper (>= 9), cmake, catch
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/enkore/j4-dmenu-desktop
-Vcs-Git: git://anonscm.debian.org/collab-maint/j4-dmenu-desktop.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/j4-dmenu-desktop.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git
 
 Package: j4-dmenu-desktop
 Architecture: any
