## j4-dmenu-desktop 2.15

=== debian/changelog ===
j4-dmenu-desktop (2.15-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Updated d/* years
  * d/control: Updated Standards-Version to 3.9.8, no changes.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Thu, 30 Mar 2017 08:22:30 +0200
