=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: j4-dmenu-desktop
 Section: x11
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
-Bugs: mailto: <maintainer@mepiscommunity.org>
-Build-Depends: debhelper (>= 9), cmake, catch
-Standards-Version: 3.9.7
+Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Build-Depends: debhelper (>= 10), cmake, catch
+Standards-Version: 3.9.8
 Homepage: https://github.com/enkore/j4-dmenu-desktop
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/j4-dmenu-desktop.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git
