## j4-dmenu-desktop 2.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,8 @@
   ExternalProject_Add(
     catch
     PREFIX ${CMAKE_BINARY_DIR}/catch
-    GIT_REPOSITORY https://github.com/philsquared/Catch.git
+    GIT_TAG Catch1.x
+    GIT_REPOSITORY https://github.com/catchorg/Catch2
     TIMEOUT 10
     UPDATE_COMMAND git pull
     CONFIGURE_COMMAND ""
