=== debian/changelog ===
j4-dmenu-desktop (2.16-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:43 +0100

j4-dmenu-desktop (2.16-1) unstable; urgency=medium

  * New upstream release 
  * Update Standards-Version to 4.2.1, no changes required
  * Update to dh 11
  * Fix patch for disabling catch download
  * Update Vcs-* entries

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 10 Sep 2018 21:26:15 +0200
