## j4-dmenu-desktop 2.18%2Bgit20211022

=== debian/changelog ===
j4-dmenu-desktop (2.18+git20211022-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Comment out patches in debian/patches/series until need is verified.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 18 Jan 2022 16:36:40 -0500
