=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: j4-dmenu-desktop
 Section: x11
 Priority: optional
-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
-Build-Depends: debhelper (>= 10), cmake, catch
-Standards-Version: 3.9.8
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Build-Depends: debhelper (>= 11), cmake, catch
+Standards-Version: 4.2.1
 Homepage: https://github.com/enkore/j4-dmenu-desktop
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/j4-dmenu-desktop.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git
+Vcs-Git: https://salsa.debian.org/cinemast-guest/j4-dmenu-desktop.git
+Vcs-Browser: https://salsa.debian.org/cinemast-guest/j4-dmenu-desktop
 
 Package: j4-dmenu-desktop
 Architecture: any
