=== debian/changelog ===
j4-dmenu-desktop (3.2-1build1) plucky; urgency=medium

  * No-change rebuild for libspdlog1.15.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jan 2025 19:38:37 +0000

j4-dmenu-desktop (3.2-1) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * New upstream release
  * Add patch to allow compiling without notify support

 -- Otto Kekäläinen <otto@debian.org>  Sun, 01 Dec 2024 13:10:11 -0800

j4-dmenu-desktop (3.1-1) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * New upstream release
  * Update dependency list and switch to Meson build system
  * Use upstream man page as it is more up to date
  * Add pytest dependency to enable the Python test suite
  * Enable autopkgtest with pytest system tests
  * Add patch to fix problems in manpage
  * Support 'nocheck' build profile
  * Update Standards-Version to 4.7.0, no changes needed
  * Polish the Debian packaging so it fully passes all
    Lintian checks and Salsa CI

 -- Otto Kekäläinen <otto@debian.org>  Mon, 18 Nov 2024 21:05:50 -0800

j4-dmenu-desktop (2.16-2) unstable; urgency=medium

  [ Jelmer Vernooĳ / Debian Janitor ]
  * Trim trailing whitespace
  * Use secure copyright file specification URI
  * Bump debhelper from old 10 to 13
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse

  [ Nicolas Peugnet ]
  * Setup gbp to track upstream git tags and commit pristine-tar
  * Update watch file using GitHub API
  * Update PGP signing key
  * Update Git and browser VCS URLs to new location
  * Set myself as the new maintainer

  [ Otto Kekäläinen ]
  * Update git repository layout to follow DEP-14
  * Enable Salsa CI
  * Add a README.source.md to make package maintenance easier
  * Ensure all patches have proper DEP-8 headers and have been
    forwarded upstream
  * Add CMake compatible hardening rules
  * Mention the new package maintainers in the copyright file
  * Add myself as uploader

 -- Otto Kekäläinen <otto@debian.org>  Mon, 11 Nov 2024 22:28:58 -0800

j4-dmenu-desktop (2.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 13 (Closes: #1037698)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 30 Jul 2023 16:19:24 +0200
