=== debian/tests/control ===
Tests: system
Depends: @, python3-pytest
