=== debian/watch ===
version=4
opts="\
  searchmode=plain, \
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/, \
  downloadurlmangle=s#https://api.github.com/repos#https://github.com#;s#tarball/r@ANY_VERSION@#archive/refs/tags/r$1.tar.gz#, \
  pgpsigurlmangle=s#archive/refs/tags/r(.*)\.tar\.gz#releases/download/r$1/r$1.tar.gz.sig#, \
  filenamemangle=s#r@ANY_VERSION@#@PACKAGE@-$1.tar.gz#" \
https://api.github.com/repos/enkore/j4-dmenu-desktop/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/r?@ANY_VERSION@
